## org.apache.commons.math.stat.descriptive
Class StatisticalSummaryValues

    java.lang.Object
      org.apache.commons.math.stat.descriptive.StatisticalSummaryValues

All Implemented Interfaces:
  java.io.Serializable, StatisticalSummary

    public class StatisticalSummaryValues

extends java.lang.Object
implements java.io.Serializable, StatisticalSummary

Value object representing the results of a univariate statistical summary.

Version:
  $Revision: 811833 $ $Date: 2009-09-06 12:27:50 -0400 (Sun, 06 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private double` `max` The maximum value
`private double` `mean` The sample mean
`private double` `min` The minimum value
`private long` `n` The number of observations in the sample
`private static long` `serialVersionUID` Serialization id
`private double` `sum` The sum of the sample values
`private double` `variance` The sample variance

Constructor Summary
`StatisticalSummaryValues(double mean, double variance, long n, double max, double min, double sum)` Constructor

Method Summary
`boolean` `equals(java.lang.Object object)` Returns true iff `object` is a `StatisticalSummaryValues` instance and all statistics have the same values as this.
`double` `getMax()` Returns the maximum of the available values
`double` `getMean()` Returns the arithmetic mean of the available values
`double` `getMin()` Returns the minimum of the available values
`long` `getN()` Returns the number of available values
`double` `getStandardDeviation()` Returns the standard deviation of the available values.
`double` `getSum()` Returns the sum of the values that have been added to Univariate.
`double` `getVariance()` Returns the variance of the available values.
`int` `hashCode()` Returns hash code based on values of statistics

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serialization id

  See Also:
    Constant Field Values

### mean

    private final double mean

  The sample mean

### variance

    private final double variance

  The sample variance

### n

    private final long n

  The number of observations in the sample

### max

    private final double max

  The maximum value

### min

    private final double min

  The minimum value

### sum

    private final double sum

  The sum of the sample values

Constructor Detail

### StatisticalSummaryValues

    public StatisticalSummaryValues(double mean,
                                    double variance,
                                    long n,
                                    double max,
                                    double min,
                                    double sum)

  Constructor

  Parameters:
    `mean` - the sample mean
    `variance` - the sample variance
    `n` - the number of observations in the sample
    `max` - the maximum value
    `min` - the minimum value
    `sum` - the sum of the values

Method Detail

### getMax

    public double getMax()

  Description copied from interface: `StatisticalSummary`
  Returns the maximum of the available values

  Specified by:
    `getMax` in interface `StatisticalSummary`
  Returns:
    Returns the max.

### getMean

    public double getMean()

  Description copied from interface: `StatisticalSummary`
  Returns the arithmetic mean of the available values

  Specified by:
    `getMean` in interface `StatisticalSummary`
  Returns:
    Returns the mean.

### getMin

    public double getMin()

  Description copied from interface: `StatisticalSummary`
  Returns the minimum of the available values

  Specified by:
    `getMin` in interface `StatisticalSummary`
  Returns:
    Returns the min.

### getN

    public long getN()

  Description copied from interface: `StatisticalSummary`
  Returns the number of available values

  Specified by:
    `getN` in interface `StatisticalSummary`
  Returns:
    Returns the number of values.

### getSum

    public double getSum()

  Description copied from interface: `StatisticalSummary`
  Returns the sum of the values that have been added to Univariate.

  Specified by:
    `getSum` in interface `StatisticalSummary`
  Returns:
    Returns the sum.

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from interface: `StatisticalSummary`
  Returns the standard deviation of the available values.

  Specified by:
    `getStandardDeviation` in interface `StatisticalSummary`
  Returns:
    Returns the standard deviation

### getVariance

    public double getVariance()

  Description copied from interface: `StatisticalSummary`
  Returns the variance of the available values.

  Specified by:
    `getVariance` in interface `StatisticalSummary`
  Returns:
    Returns the variance.

### equals

    public boolean equals(java.lang.Object object)

  Returns true iff `object` is a `StatisticalSummaryValues` instance and all statistics have the same values as this.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - the object to test equality against.
  Returns:
    true if object equals this

### hashCode

    public int hashCode()

  Returns hash code based on values of statistics

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    hash code

Copyright (c) 2003-2010 Apache Software Foundation